import "../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import SettingItem from "../../../../../components/Pages/ChartItemSetting/SettingItem.vue2.mjs";
import SettingItemBox from "../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.mjs";
import _sfc_main$2 from "../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.mjs";
import _sfc_main$1 from "../../../../../components/Pages/ChartItemSetting/GlobalSetting.vue2.mjs";
import "../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.mjs";
import "../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.mjs";
import "../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.mjs";
import "../../../../../enums/pageEnum.mjs";
import "../../../../../router/index.mjs";
import "../../../../../store/modules/designStore/designStore.mjs";
import "../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.mjs";
import "../../../../../components/GoSkeleton/index.vue.mjs";
import "../../../../../components/GoLoading/index.mjs";
import "../../../../../settings/designSetting.mjs";
import "../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.mjs";
import { ScatterEffectTypeEnumList, SymbolEnumList } from "../shard.mjs";
import { axisConfig } from "../../../../chartConfiguration/echarts/axis.mjs";
import { defineComponent, resolveComponent, openBlock, createElementBlock, createVNode, Fragment, renderList, createBlock, withCtx } from "../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { unref } from "../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "config",
  props: {
    optionData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_n_select = resolveComponent("n-select");
      const _component_n_input_number = resolveComponent("n-input-number");
      return openBlock(), createElementBlock(Fragment, null, [
        createVNode(unref(_sfc_main$1), {
          optionData: __props.optionData,
          "in-chart": true
        }, null, 8, ["optionData"]),
        (openBlock(true), createElementBlock(Fragment, null, renderList(__props.optionData.series, (item, index) => {
          return openBlock(), createBlock(unref(_sfc_main$2), {
            name: `散点-${index + 1}`,
            expanded: "",
            key: index
          }, {
            default: withCtx(() => [
              createVNode(unref(SettingItemBox), { name: "样式" }, {
                default: withCtx(() => [
                  createVNode(unref(SettingItem), { name: "类型" }, {
                    default: withCtx(() => [
                      createVNode(_component_n_select, {
                        value: item.type,
                        "onUpdate:value": ($event) => item.type = $event,
                        size: "small",
                        options: unref(ScatterEffectTypeEnumList),
                        placeholder: "选择"
                      }, null, 8, ["value", "onUpdate:value", "options"])
                    ]),
                    _: 2
                  }, 1024),
                  createVNode(unref(SettingItem), { name: "大小" }, {
                    default: withCtx(() => [
                      createVNode(_component_n_input_number, {
                        value: item.symbolSize,
                        "onUpdate:value": ($event) => item.symbolSize = $event,
                        size: "small",
                        min: 1
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1024),
              createVNode(unref(SettingItemBox), { name: "标域" }, {
                default: withCtx(() => [
                  createVNode(unref(SettingItem), { name: "粗细(0不显示)" }, {
                    default: withCtx(() => [
                      createVNode(_component_n_input_number, {
                        value: item.markArea.itemStyle.borderWidth,
                        "onUpdate:value": ($event) => item.markArea.itemStyle.borderWidth = $event,
                        size: "small",
                        min: 0
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024),
                  createVNode(unref(SettingItem), { name: "符号" }, {
                    default: withCtx(() => [
                      createVNode(_component_n_select, {
                        value: item.markArea.itemStyle.borderType,
                        "onUpdate:value": ($event) => item.markArea.itemStyle.borderType = $event,
                        size: "small",
                        options: unref(axisConfig).splitLint.lineStyle.type,
                        placeholder: "选择"
                      }, null, 8, ["value", "onUpdate:value", "options"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1024),
              createVNode(unref(SettingItemBox), { name: "标点" }, {
                default: withCtx(() => [
                  createVNode(unref(SettingItem), { name: "形状" }, {
                    default: withCtx(() => [
                      createVNode(_component_n_select, {
                        value: item.markPoint.symbol,
                        "onUpdate:value": ($event) => item.markPoint.symbol = $event,
                        size: "small",
                        options: unref(SymbolEnumList),
                        placeholder: "选择"
                      }, null, 8, ["value", "onUpdate:value", "options"])
                    ]),
                    _: 2
                  }, 1024),
                  createVNode(unref(SettingItem), { name: "大小" }, {
                    default: withCtx(() => [
                      createVNode(_component_n_input_number, {
                        value: item.markPoint.symbolSize,
                        "onUpdate:value": ($event) => item.markPoint.symbolSize = $event,
                        size: "small",
                        min: 0
                      }, null, 8, ["value", "onUpdate:value"])
                    ]),
                    _: 2
                  }, 1024)
                ]),
                _: 2
              }, 1024)
            ]),
            _: 2
          }, 1032, ["name"]);
        }), 128))
      ], 64);
    };
  }
});
export {
  _sfc_main as default
};
